Index: WAeUP_SRP/trunk/profiles/default/applicants_catalog.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/applicants_catalog.xml	(revision 3705)
+++ WAeUP_SRP/trunk/profiles/default/applicants_catalog.xml	(revision 3706)
@@ -57,4 +57,5 @@
  <column value="aos"/>
  <column value="entry_session"/>
+ <column value="total_score"/>
  <index name="reg_no" meta_type="FieldIndex">
   <indexed_attr value="reg_no"/>
Index: WAeUP_SRP/trunk/profiles/default/layouts/application_manage.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/application_manage.xml	(revision 3705)
+++ WAeUP_SRP/trunk/profiles/default/layouts/application_manage.xml	(revision 3706)
@@ -976,4 +976,24 @@
       <property name="sorted">True</property>
      </widget>
+     
+  <widget name="total_score" meta_type="String Widget">
+    <property name="title">Total Score</property>
+    <property name="fields">
+      <element value="total_score"/>
+    </property>
+    <property name="label">Total Score</property>
+    <property name="label_edit">Total Score</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes">
+    </property>
+    <property name="hidden_layout_modes">
+      <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="css_class_expr">string:row</property>
+  </widget>     
 
  <table>
@@ -1126,4 +1146,7 @@
   </row>
   <row>
+   <cell name="total_score" ncols="2"/>
+  </row>    
+  <row>
    <cell name="course_admitted" ncols="2"/>
   </row>
Index: WAeUP_SRP/trunk/profiles/default/layouts/application_pde.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/application_pde.xml	(revision 3705)
+++ WAeUP_SRP/trunk/profiles/default/layouts/application_pde.xml	(revision 3706)
@@ -757,4 +757,26 @@
   </widget>
 
+  <widget name="total_score" meta_type="String Widget">
+    <property name="title">Total Score</property>
+    <property name="fields">
+      <element value="total_score"/>
+    </property>
+    <property name="label">Total Score</property>
+    <property name="label_edit">Total Score</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes">
+      <element value="edit"/>
+    </property>
+    <property name="hidden_layout_modes">
+      <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="hidden_empty">True</property>
+    <property name="css_class_expr">string:row</property>
+  </widget>  
+
  <table>
   <row>
@@ -824,4 +846,7 @@
    <cell name="screening_score" ncols="2"/>
   </row>
+  <row>
+   <cell name="total_score" ncols="2"/>
+  </row>    
   <row>
    <cell name="course_admitted" ncols="2"/>
Index: WAeUP_SRP/trunk/profiles/default/layouts/application_pume.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/application_pume.xml	(revision 3705)
+++ WAeUP_SRP/trunk/profiles/default/layouts/application_pume.xml	(revision 3706)
@@ -621,4 +621,26 @@
     <property name="css_class_expr">string:row</property>
   </widget>
+  
+  <widget name="total_score" meta_type="String Widget">
+    <property name="title">Total Score</property>
+    <property name="fields">
+      <element value="total_score"/>
+    </property>
+    <property name="label">Total Score</property>
+    <property name="label_edit">Total Score</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes">
+      <element value="edit"/>
+    </property>
+    <property name="hidden_layout_modes">
+      <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="hidden_empty">True</property>
+    <property name="css_class_expr">string:row</property>
+  </widget>  
 
  <table>
@@ -687,4 +709,7 @@
   </row>
   <row>
+   <cell name="total_score" ncols="2"/>
+  </row>  
+  <row>
    <cell name="course_admitted" ncols="2"/>
   </row>
Index: WAeUP_SRP/trunk/profiles/default/layouts/import_application.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/import_application.xml	(revision 3705)
+++ WAeUP_SRP/trunk/profiles/default/layouts/import_application.xml	(revision 3706)
@@ -675,3 +675,18 @@
   </widget>
 
+  <widget name="total_score" meta_type="String Widget">
+    <property name="title">Total Score</property>
+    <property name="fields">
+      <element value="total_score"/>
+    </property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes">
+    </property>
+    <property name="hidden_layout_modes">
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="css_class_expr">string:row</property>
+  </widget>
+
 </object>
Index: WAeUP_SRP/trunk/profiles/default/schemas/import_application.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/schemas/import_application.xml	(revision 3705)
+++ WAeUP_SRP/trunk/profiles/default/schemas/import_application.xml	(revision 3706)
@@ -58,3 +58,4 @@
  <field name="serial" meta_type="CPS String Field"/>
  <field name="entry_session" meta_type="CPS String Field"/>
+ <field name="total_score" meta_type="CPS String Field"/>
 </object>
Index: WAeUP_SRP/trunk/profiles/default/schemas/student_application.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/schemas/student_application.xml	(revision 3705)
+++ WAeUP_SRP/trunk/profiles/default/schemas/student_application.xml	(revision 3706)
@@ -39,4 +39,5 @@
  <field name="hq_grade" meta_type="CPS String Field"/>
  <field name="aos" meta_type="CPS String Field"/>
+ <field name="total_score" meta_type="CPS String Field"/>
 
 