Index: WAeUP_SRP/trunk/profiles/ois/actions.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/ois/actions.xml	(revision 3706)
+++ WAeUP_SRP/trunk/profiles/ois/actions.xml	(revision 3707)
@@ -156,5 +156,5 @@
   <action title="My Accommodation" action_id="reserve_accommodation"
      category="student_navigation" condition_expr="member"
-     url_expr="string:${portal_url}/campus/students/${member}/reserve_accommodation" visible="True"/>
+     url_expr="string:${portal_url}/campus/students/${member}/reserve_accommodation" visible="False"/>
   <action title="My Payments" action_id="payments"
      category="student_navigation" condition_expr="member"
Index: WAeUP_SRP/trunk/profiles/ois/layouts/student_course_result.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/ois/layouts/student_course_result.xml	(revision 3706)
+++ WAeUP_SRP/trunk/profiles/ois/layouts/student_course_result.xml	(revision 3707)
@@ -7,5 +7,35 @@
  <property name="flexible_widgets"/>
  <property name="validate_values_expr"></property>
-
+ <property name="label"></property>
+ <property name="label_edit"></property>
+ <property name="is_i18n">False</property>
+ <widget name="ca1" meta_type="Float Widget">
+  <property name="title">CA 1 Marks</property>
+  <property name="fields">
+   <element value="ca1"/>
+  </property>
+  <property name="label">CA 1 Marks</property>
+  <property name="label_edit">CA 1 Marks</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="is_limited">True</property>
+  <property name="max_value">20.0</property>
+  <property name="decimals_number">1</property>
+ </widget>
+ <widget name="ca2" meta_type="Float Widget">
+  <property name="title">CA 2 Marks</property>
+  <property name="fields">
+   <element value="ca2"/>
+  </property>
+  <property name="label">CA 2 Marks</property>
+  <property name="label_edit">CA 2 Marks</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="is_limited">True</property>
+  <property name="max_value">20.0</property>
+  <property name="decimals_number">1</property>
+ </widget>
  <widget name="code" meta_type="CertificateCourseId Widget">
   <property name="title">Course Code</property>
@@ -53,4 +83,18 @@
   <property name="hidden_readonly_layout_modes"/>
  </widget>
+ <widget name="exam" meta_type="Float Widget">
+  <property name="title">Exam Marks</property>
+  <property name="fields">
+   <element value="exam"/>
+  </property>
+  <property name="label">Exam Marks</property>
+  <property name="label_edit">Exam Marks</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="is_limited">True</property>
+  <property name="max_value">60.0</property>
+  <property name="decimals_number">1</property>
+ </widget>
  <widget name="passmark" meta_type="Int Widget">
   <property name="title">Passmark</property>
@@ -76,47 +120,8 @@
   <property name="label">Score</property>
   <property name="label_edit">Score</property>
-  <property name="readonly_layout_modes">
-  </property>
+  <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
  </widget>
-
- <widget name="exam" meta_type="Int Widget">
-  <property name="title">Exam Marks</property>
-  <property name="fields">
-   <element value="exam"/>
-  </property>
-  <property name="label">Exam Marks</property>
-  <property name="label_edit">Exam Marks</property>
-  <property name="readonly_layout_modes">
-  </property>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="ca1" meta_type="Int Widget">
-  <property name="title">CA 1 Marks</property>
-  <property name="fields">
-   <element value="ca1"/>
-  </property>
-  <property name="label">CA 1 Marks</property>
-  <property name="label_edit">CA 1 Marks</property>
-  <property name="readonly_layout_modes">
-  </property>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="ca2" meta_type="Int Widget">
-  <property name="title">CA 2 Marks</property>
-  <property name="fields">
-   <element value="ca2"/>
-  </property>
-  <property name="label">CA 2 Marks</property>
-  <property name="label_edit">CA 2 Marks</property>
-  <property name="readonly_layout_modes">
-  </property>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
-
  <widget name="title" meta_type="String Widget">
   <property name="title">Original Course Title</property>
@@ -155,2 +160,3 @@
 </object>
 
+