Index: WAeUP_SRP/trunk/profiles/aaua/actions.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/aaua/actions.xml	(revision 3691)
+++ WAeUP_SRP/trunk/profiles/aaua/actions.xml	(revision 3715)
@@ -2,26 +2,4 @@
 <object name="portal_actions" meta_type="CMF Actions Tool">
  <action-provider name="portal_membership">
-  <action title="Search Members" action_id="member_view" category="user"
-     condition_expr="member"
-     url_expr="string:${portal_url}/search_members_form" visible="False">
-   <permission>View</permission>
-  </action>
-  <action title="Staff Login" action_id="login_staff" category="student"
-     condition_expr="not: member" url_expr="string:${portal_url}/login_staff"
-     visible="True">
-   <permission>View</permission>
-  </action>
-  <action title="Log out" action_id="logout" category="user"
-     condition_expr="member" url_expr="string:${portal_url}/logout"
-     visible="True">
-   <permission>View</permission>
-  </action>
-  <action title="action_my_preferences" action_id="preferences"
-     category="user"
-     condition_expr="python:member and member.has_role(&quot;Member&quot;)"
-     url_expr="string:${portal_url}/member_view?dirname=members&amp;id=${member}"
-     visible="True">
-   <permission>View</permission>
-  </action>
   <action title="Student Login" action_id="login_student" category="student"
      condition_expr="python: not member and (portal.portal_url().find('aaua.waeup.org') &gt;-1)"
@@ -29,158 +7,4 @@
    <permission>View</permission>
   </action>
-  <action title="Log out" action_id="logout_student" category="student"
-     condition_expr="member" url_expr="string:${portal_url}/logout"
-     visible="True"/>
- </action-provider>
- <action-provider name="portal_actions">
-  <action title="action_print" action_id="print" category="global_header"
-     condition_expr=""
-     url_expr="string:javascript:if%20(window.print)%20window.print();"
-     visible="False">
-   <permission>View</permission>
-  </action>
-  <action title="Search Portal" action_id="waeup_search" category="global"
-     condition_expr="member" url_expr="string:./waeup_search_form"
-     visible="True">
-   <permission>View</permission>
-  </action>
-  <action title="Import Data" action_id="import" category="global"
-     condition_expr="python:member and member.has_role('Manager')" url_expr="string:${portal_url}/import"
-     visible="True">
-   <permission>View</permission>
-  </action>
-  <action title="Directories" action_id="directories" category="global"
-     condition_expr="python:portal.portal_directories.isSectionOfficer()"
-     url_expr="string:${portal_url}/cpsdirectory_view" visible="False">
-   <permission>View</permission>
-  </action>
-  <action title="Portal Members" action_id="members" category="global"
-     condition_expr="python:portal.portal_directories.members.isSectionOfficer()"
-     url_expr="string:${portal_url}/search_members_form" visible="True">
-   <permission>View</permission>
-  </action>
-  <action title="Home" action_id="home" category="navigation"
-     condition_expr="member" url_expr="string:${portal_url}/campus"
-     visible="True">
-   <permission>View</permission>
-  </action>
-  <action title="Academics" action_id="view_academics" category="navigation"
-     condition_expr="member" url_expr="string:${portal_url}/campus/academics"
-     visible="True">
-   <permission>View</permission>
-  </action>
-  <action title="Hostels" action_id="view_accommodation" category="navigation"
-     condition_expr="python:portal.campus.accommodation.isSectionOfficer()"
-     url_expr="string:${portal_url}/campus/accommodation" visible="True">
-   <permission>View</permission>
-  </action>
-  <action title="Students" action_id="view_students" category="navigation"
-     condition_expr="python:portal.campus.students.isStaff()"
-     url_expr="string:${portal_url}/campus/students" visible="True">
-   <permission>View</permission>
-  </action>
-  <action title="PINs" action_id="view_pins" category="navigation"
-     condition_expr="python:portal.campus.pins.isSectionOfficer()"
-     url_expr="string:${portal_url}/campus/pins" visible="True">
-   <permission>View</permission>
-  </action>
-  <action title="Documents" action_id="view_documents" category="navigation"
-     condition_expr="python:portal.campus.documents.isSectionOfficer()"
-     url_expr="string:${portal_url}/campus/documents"
-     visible="True">
-   <permission>View</permission>
-  </action>
-
-  <action title="Uploads" action_id="view_uploads" category="navigation"
-     condition_expr="python:portal.campus.uploads.isSectionOfficer()"
-     url_expr="string:${portal_url}/campus/uploads"
-     visible="True">
-   <permission>View</permission>
-  </action>
-
-  <action title="Contact" action_id="contact_admin" category="navigation"
-     condition_expr="member"
-     url_expr="string:${portal_url}/contact_admin_form" visible="True">
-   <permission>View</permission>
-  </action>
-  <action title="Enquiries" action_id="support_anon"
-     category="student_navigation" condition_expr="not:member"
-     url_expr="string:${portal_url}/contact_admin_form" visible="True">
-   <permission>View</permission>
-  </action>
-  <action title="Enquiries" action_id="support" category="student_navigation"
-     condition_expr="member" url_expr="string:${portal_url}/support_form"
-     visible="True">
-   <permission>View</permission>
-  </action>
-  <action title="Unchecked Items" action_id="unchecked" category="object"
-     condition_expr="python:member and 'academics' in object_url"
-     url_expr="string:./unchecked" visible="True">
-   <permission>Modify portal content</permission>
-  </action>
-  <action title="PCE Screening Test" action_id="apply_pce_admission"
-     category="student" condition_expr="not:member"
-     url_expr="string:${portal_url}/apply_admission/pce" visible="False">
-   <permission>View</permission>
-  </action>
-  <action title="PRE-NCE Application" action_id="apply_prence_admission"
-     category="student" condition_expr="not:member"
-     url_expr="string:${portal_url}/apply_admission/prence" visible="False">
-   <permission>View</permission>
-  </action>
-  <action title="Check Admission 06/07" action_id="check_admission"
-     category="student" condition_expr="not:member"
-     url_expr="string:${portal_url}/check_admission" visible="False">
-   <permission>View</permission>
-  </action>
-  <action title="Change Password" action_id="change_password"
-     category="student" condition_expr="member"
-     url_expr="string:${portal_url}/change_password" visible="True">
-   <permission>View</permission>
-  </action>
-  <action title="Home" action_id="students_home" category="student_navigation"
-     condition_expr="not:member" url_expr="string:${portal_url}"
-     visible="True">
-   <permission>View</permission>
-  </action>
-  <action title="Prospectus" action_id="prospectus"
-     category="student_navigation" condition_expr="member"
-     url_expr="string:${portal_url}/campus/academics" visible="True">
-   <permission>View</permission>
-  </action>
-  <action title="My Study" action_id="registration"
-     category="student_navigation" condition_expr="member"
-     url_expr="string:${portal_url}/campus/students" visible="True">
-   <permission>View</permission>
-  </action>
-  <action title="My Accommodation" action_id="reserve_accommodation"
-     category="student_navigation" condition_expr="member"
-     url_expr="string:${portal_url}/campus/students/${member}/reserve_accommodation" visible="True"/>
-  <action title="My Payments" action_id="payments"
-     category="student_navigation" condition_expr="member"
-     url_expr="string:${portal_url}/campus/students/${member}/payments"
-     visible="True"/>
-  <action title="Register Courses" action_id="register_courses"
-     category="student" condition_expr="member"
-     url_expr="string:${portal_url}/register_courses" visible="False"/>
-  <action title="Request Transfer" action_id="request_transfer"
-     category="student"
-     condition_expr="python: here.isStudent() and here.getStudentWorkflowInfo()['tr']"
-     url_expr="string:${portal_url}/request_transfer" visible="False"/>
- </action-provider>
- <action-provider name="portal_registration">
-  <action title="Join" action_id="join" category="user"
-     condition_expr="python:portal.portal_registration.enable_portal_joining and not member"
-     url_expr="string:${portal_url}/join_form" visible="True">
-   <permission>Add portal member</permission>
-  </action>
- </action-provider>
- <action-provider name="portal_workflow"/>
- <action-provider name="portal_properties">
-  <action title="Portal Base Data" action_id="configPortal"
-     category="global" condition_expr=""
-     url_expr="string:${portal_url}/config_form" visible="True">
-   <permission>Manage portal</permission>
-  </action>
  </action-provider>
 </object>