Index: WAeUP_SRP/trunk/profiles/fceoyo/layouts/student_application.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/fceoyo/layouts/student_application.xml	(revision 3716)
+++ WAeUP_SRP/trunk/profiles/fceoyo/layouts/student_application.xml	(revision 3716)
@@ -0,0 +1,616 @@
+<?xml version="1.0"?>
+<?xml-stylesheet type="text/xsl" href="layout.xsl"?>
+<object name="student_application" meta_type="CPS Layout">
+ <property name="layout_create_method"></property>
+ <property name="layout_edit_method"></property>
+ <property name="layout_view_method"></property>
+ <property name="style_prefix">layout_application_</property>
+ <property name="flexible_widgets"/>
+ <property name="validate_values_expr"></property>
+ <widget name="app_ac_date" meta_type="DateTime Widget">
+  <property name="title">Admission Checking Date</property>
+  <property name="fields">
+   <element value="app_ac_date"/>
+  </property>
+  <property name="label">Admission Checking Date</property>
+  <property name="label_edit">Admission Checking Date</property>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="view_format">%d/%m/%Y</property>
+  <property name="time_setting">False</property>
+ </widget>
+ <widget name="app_ac_pin" meta_type="Scratchcard Pin Widget">
+  <property name="title">Admission Checking PIN</property>
+  <property name="fields">
+   <element value="app_ac_pin"/>
+  </property>
+  <property name="label">Admission Checking PIN</property>
+  <property name="label_edit">Admission Checking PIN</property>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="prefix">APP</property>
+  <property name="reference">jamb_reg_no</property>
+  <property name="reuse_pin">False</property>
+ </widget>
+ <widget name="app_reg_pin" meta_type="String Widget">
+  <property name="title">Application PIN</property>
+  <property name="fields">
+   <element value="app_reg_pin"/>
+  </property>
+  <property name="label">Application PIN</property>
+  <property name="label_edit">Application PIN</property>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="hidden_empty">True</property>
+ </widget>
+ <widget name="app_email" meta_type="Email Widget">
+  <property name="title">Email Address</property>
+  <property name="fields">
+   <element value="app_email"/>
+  </property>
+  <property name="label">Email Address</property>
+  <property name="label_edit">Email Address</property>
+  <property name="readonly_layout_modes">
+  </property>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="app_mobile" meta_type="String Widget">
+  <property name="title">Mobile Phone No</property>
+  <property name="fields">
+   <element value="app_mobile"/>
+  </property>
+  <property name="label">Mobile Phone No</property>
+  <property name="label_edit">Mobile Phone No</property>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="entry_mode" meta_type="Select Widget">
+  <property name="title">Mode of Entry</property>
+  <property name="fields">
+   <element value="entry_mode"/>
+  </property>
+  <property name="label">Mode of Entry</property>
+  <property name="label_edit">Mode of Entry</property>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="vocabulary">entry_modes</property>
+ </widget>
+ <widget name="entry_session" meta_type="Select Widget">
+  <property name="title">Entry Session</property>
+  <property name="fields">
+   <element value="entry_session"/>
+  </property>
+  <property name="label">Entry Session</property>
+  <property name="label_edit">Entry Session</property>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="vocabulary">sessions</property>
+ </widget>
+ <widget name="jamb_age" meta_type="Int Widget">
+  <property name="title">Age</property>
+  <property name="fields">
+   <element value="jamb_age"/>
+  </property>
+  <property name="label">Age</property>
+  <property name="label_edit">Age</property>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="jamb_first_cos" meta_type="String Widget">
+  <property name="title">JAMB First Choice Course of Study</property>
+  <property name="fields">
+   <element value="jamb_first_cos"/>
+  </property>
+  <property name="label">JAMB First Choice Course of Study</property>
+  <property name="label_edit">JAMB First Choice Course of Study</property>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+
+ <widget name="jamb_firstname" meta_type="String Widget">
+  <property name="title">First Name</property>
+  <property name="fields">
+   <element value="jamb_firstname"/>
+  </property>
+  <property name="label">First Name</property>
+  <property name="label_edit">First Name</property>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="jamb_lastname" meta_type="String Widget">
+  <property name="title">Last Name</property>
+  <property name="fields">
+   <element value="jamb_lastname"/>
+  </property>
+  <property name="label">Surname / Full Name</property>
+  <property name="label_edit">Last Name</property>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="jamb_lga" meta_type="String Widget">
+  <property name="title">Local Government Area</property>
+  <property name="fields">
+   <element value="jamb_lga"/>
+  </property>
+  <property name="label">Local Government Area</property>
+  <property name="label_edit">Local Government Area</property>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="jamb_middlename" meta_type="String Widget">
+  <property name="title">Middle Name</property>
+  <property name="fields">
+   <element value="jamb_middlename"/>
+  </property>
+  <property name="label">Middle Name</property>
+  <property name="label_edit">Middle Name</property>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+
+ <widget name="jamb_reg_no" meta_type="JambRegNo Widget">
+  <property name="title">Registration Number</property>
+  <property name="fields">
+   <element value="jamb_reg_no"/>
+  </property>
+  <property name="label">Registration Number</property>
+  <property name="label_edit">Registration Number</property>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="display_width">12</property>
+  <property name="size_max">12</property>
+  <property name="catalog">students_catalog</property>
+ </widget>
+
+ <widget name="jamb_score" meta_type="String Widget">
+  <property name="title">JAMB Score</property>
+  <property name="fields">
+   <element value="jamb_score"/>
+  </property>
+  <property name="label">JAMB Score</property>
+  <property name="label_edit">JAMB Score</property>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="jamb_second_cos" meta_type="String Widget">
+  <property name="title">JAMB Second Choice Course of Study</property>
+  <property name="fields">
+   <element value="jamb_second_cos"/>
+  </property>
+  <property name="label">JAMB Second Choice Course of Study</property>
+  <property name="label_edit">JAMB Second Choice Course of Study</property>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="course3" meta_type="String Widget">
+  <property name="title">Third Choice Course of Study</property>
+  <property name="fields">
+   <element value="course3"/>
+  </property>
+  <property name="label">Third Choice Course of Study</property>
+  <property name="label_edit">Third Choice Course of Study</property>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+
+ <widget name="jamb_sex" meta_type="String Widget">
+  <property name="title">Sex</property>
+  <property name="fields">
+   <element value="jamb_sex"/>
+  </property>
+  <property name="label">Sex</property>
+  <property name="label_edit">Sex</property>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="display_width">1</property>
+  <property name="size_max">1</property>
+ </widget>
+ <widget name="jamb_state" meta_type="String Widget">
+  <property name="title">State</property>
+  <property name="fields">
+   <element value="jamb_state"/>
+  </property>
+  <property name="label">State</property>
+  <property name="label_edit">State</property>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+ <widget name="objection_date" meta_type="DateTime Widget">
+  <property name="title">Objection Date</property>
+  <property name="fields">
+   <element value="objection_date"/>
+  </property>
+  <property name="label">Objection Date</property>
+  <property name="label_edit">Objection Date</property>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="view_format">%d/%m/%Y</property>
+ </widget>
+ <widget name="passport" meta_type="File Image Widget">
+  <property name="title">Passport Picture</property>
+  <property name="fields">
+   <element value="passport"/>
+  </property>
+  <property name="label">Passport Picture</property>
+  <property name="label_edit">Passport Picture</property>
+  <property
+     name="help">Upload passport photograph with red background</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="size_max">204800</property>
+  <property name="display_external_editor">False</property>
+  <property name="display_width">150</property>
+  <property name="display_height">200</property>
+  <property name="allow_resize">True</property>
+  <property name="show_image">True</property>
+  </widget>
+
+<widget name="screening_application_date" meta_type="DateTime Widget">
+ <property name="title">Screening Application Date</property>
+ <property name="fields">
+  <element value="screening_application_date"/>
+ </property>
+ <property name="label">Screening Application Date</property>
+ <property name="label_edit">Screening Application Date</property>
+    <property name="readonly_layout_modes">
+        <element value="edit"/>
+    </property>
+ <property name="hidden_layout_modes">
+  <element value="create"/>
+ </property>
+ <property name="hidden_readonly_layout_modes"/>
+  <property name="view_format">%d/%m/%Y</property>
+  <property name="time_setting">False</property>
+</widget>
+
+
+<widget name="date_of_birth" meta_type="DateTime Widget">
+ <property name="title">Date of Birth</property>
+ <property name="fields">
+  <element value="date_of_birth"/>
+ </property>
+ <property name="label">Date of Birth</property>
+ <property name="label_edit">Date of Birth</property>
+ <property name="readonly_layout_modes">
+  <element value="edit"/>
+ </property>
+ <property name="hidden_layout_modes">
+  <element value="create"/>
+ </property>
+ <property name="hidden_readonly_layout_modes"/>
+  <property name="view_format">%d/%m/%Y</property>
+  <property name="time_setting">False</property>
+</widget>
+
+
+ <widget name="screening_type" meta_type="String Widget">
+  <property name="title">Screening Type</property>
+  <property name="fields">
+   <element value="screening_type"/>
+  </property>
+  <property name="label">Screening Type</property>
+  <property name="label_edit">Screening Type</property>
+    <property name="readonly_layout_modes">
+        <element value="edit"/>
+    </property>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+
+ <widget name="screening_score" meta_type="String Widget">
+  <property name="title">Screening Score</property>
+  <property name="fields">
+   <element value="screening_score"/>
+  </property>
+  <property name="label">Screening Score</property>
+  <property name="label_edit">Screening Score</property>
+    <property name="readonly_layout_modes">
+        <element value="edit"/>
+    </property>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+
+<widget name="screening_date" meta_type="DateTime Widget">
+ <property name="title">Screening Date</property>
+ <property name="fields">
+  <element value="screening_date"/>
+ </property>
+ <property name="label">Screening Date</property>
+ <property name="label_edit">Screening Date</property>
+    <property name="readonly_layout_modes">
+        <element value="edit"/>
+    </property>
+ <property name="hidden_layout_modes">
+  <element value="create"/>
+ </property>
+ <property name="hidden_readonly_layout_modes"/>
+  <property name="view_format">%d/%m/%Y</property>
+  <property name="time_setting">False</property>
+</widget>
+
+
+  <widget name="hq_type" meta_type="Select Widget">
+    <property name="title">Higher Qualification</property>
+    <property name="fields">
+    <element value="hq_type"/>
+    </property>
+    <property name="label">Higher Qualification</property>
+    <property name="label_edit">Higher Qualification</property>
+    <property name="description">Higher Qualification Data</property>
+    <property name="readonly_layout_modes">
+        <element value="edit"/>
+    </property>
+    <property name="hidden_layout_modes">
+    <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="vocabulary">high_qual</property>
+  </widget>
+
+
+  <widget name="hq_grade" meta_type="Select Widget">
+    <property name="title">Higher Qualification Grade</property>
+    <property name="fields">
+    <element value="hq_grade"/>
+    </property>
+    <property name="label">Higher Qualification Grade</property>
+    <property name="label_edit">Higher Qualification Grade</property>
+    <property name="readonly_layout_modes">
+        <element value="edit"/>
+    </property>
+    <property name="hidden_layout_modes">
+        <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="vocabulary">high_grade</property>
+  </widget>
+
+  <widget name="aos" meta_type="Select Widget">
+    <property name="title">Area of Specialisation</property>
+    <property name="fields">
+      <element value="aos"/>
+    </property>
+    <property name="label">Area of Specialisation</property>
+    <property name="label_edit">Area of Specialisation</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes">
+      <element value="edit"/>
+    </property>
+    <property name="hidden_layout_modes">
+      <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="vocabulary">aos</property>
+    <property name="sorted">True</property>
+    <property name="css_class_expr">string:row</property>
+  </widget>
+
+    <widget name="reg_no_string" meta_type="String Widget">
+     <property name="title">Registration Number String</property>
+     <property name="fields">
+      <element value="jamb_reg_no"/>
+     </property>
+     <property name="label">Registration Number String</property>
+     <property name="label_edit">Registration Number String</property>
+     <property name="readonly_layout_modes">
+      <element value="create"/>
+     </property>
+     <property name="readonly_if_expr">context/isStudent</property>
+     <property name="hidden_layout_modes">
+      <element value="create"/>
+      <element value="view"/>
+     </property>
+     <property name="hidden_readonly_layout_modes"/>
+     <property name="hidden_if_expr">context/isStudent</property>
+    </widget>
+
+
+
+ <table>
+  <row>
+   <cell name="jamb_reg_no" ncols="3"/>
+  </row>
+  <row>
+   <cell name="reg_no_string" ncols="3"/>
+  </row>
+  <row>
+   <cell name="app_ac_pin" ncols="3"/>
+  </row>
+  <row>
+   <cell name="app_reg_pin" ncols="3"/>
+  </row>
+  <row>
+   <cell name="app_ac_date" ncols="3"/>
+  </row>
+  <row>
+   <cell name="app_email" ncols="3"/>
+  </row>
+  <row>
+   <cell name="app_mobile" ncols="3"/>
+  </row>
+  <row>
+   <cell name="jamb_firstname" ncols="3"/>
+  </row>
+  <row>
+   <cell name="jamb_middlename" ncols="3"/>
+  </row>
+  <row>
+   <cell name="jamb_lastname" ncols="3"/>
+  </row>
+  <row>
+   <cell name="jamb_sex" ncols="3"/>
+  </row>
+  <row>
+   <cell name="jamb_age" ncols="3"/>
+  </row>
+  <row>
+   <cell name="date_of_birth" ncols="3"/>
+  </row>
+  <row>
+   <cell name="jamb_state" ncols="3"/>
+  </row>
+  <row>
+   <cell name="jamb_lga" ncols="3"/>
+  </row>
+  <row>
+   <cell name="jamb_score" ncols="3"/>
+  </row>
+  <row>
+   <cell name="entry_mode" ncols="3"/>
+  </row>
+  <row>
+   <cell name="entry_session" ncols="3"/>
+  </row>
+  <row>
+   <cell name="jamb_first_cos" ncols="3"/>
+  </row>
+  <row>
+   <cell name="jamb_second_cos" ncols="3"/>
+  </row>
+  <row>
+   <cell name="course3" ncols="3"/>
+  </row>
+
+
+
+
+  <row>
+   <cell name="hq_type" ncols="2"/>
+  </row>
+  <row>
+   <cell name="hq_grade" ncols="2"/>
+  </row>
+  <row>
+   <cell name="aos" ncols="2"/>
+  </row>
+
+  <row>
+   <cell name="screening_type" ncols="3"/>
+  </row>
+  <row>
+   <cell name="screening_application_date" ncols="3"/>
+  </row>
+  <row>
+   <cell name="screening_score" ncols="3"/>
+  </row>
+  <row>
+   <cell name="screening_date" ncols="3"/>
+  </row>
+
+
+  <row>
+   <cell name="passport" ncols="3"/>
+  </row>
+
+  <row>
+   <cell name="objection_date" ncols="3"/>
+  </row>
+
+ </table>
+</object>
+