Index: WAeUP_SRP/trunk/skins/waeup_student/application_slip.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/application_slip.pt	(revision 3718)
+++ WAeUP_SRP/trunk/skins/waeup_student/application_slip.pt	(revision 3727)
@@ -1,5 +1,6 @@
 <metal:body use-macro="here/slip_template/macros/master">
     <metal:main fill-slot="main"
-                tal:define="info context/getApplicationInfo">
+                tal:define="info context/getApplicationInfo;
+                            titles here/getStudentObjectTitles;">
       <span tal:condition="not: info">
         <span tal:content="here/illegal_view" />
@@ -7,5 +8,5 @@
       <span tal:condition="info">
             
-        <h3>Application Slip</h3>
+        <h3><span tal:content="titles/StudentApplication" /> Slip</h3>
         <br />
         <span tal:omit-tag=""
Index: WAeUP_SRP/trunk/skins/waeup_student/application_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/application_view.pt	(revision 3718)
+++ WAeUP_SRP/trunk/skins/waeup_student/application_view.pt	(revision 3727)
@@ -1,5 +1,6 @@
 <metal:body use-macro="here/main_template/macros/master">
    <metal:main fill-slot="main"
-                 tal:define="info context/getApplicationInfo">
+                 tal:define="info context/getApplicationInfo;
+                             titles here/getStudentObjectTitles;">
       <span tal:condition="not: info">
         <span tal:content="here/illegal_view" />
@@ -13,5 +14,5 @@
           Up one level
         </a>
-        <h3>My Application Record</h3>
+        <h3>My <span tal:content="titles/StudentApplication" /></h3>
         <br />
         <span tal:omit-tag=""
Index: WAeUP_SRP/trunk/skins/waeup_student/clearance_slip.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/clearance_slip.pt	(revision 3718)
+++ WAeUP_SRP/trunk/skins/waeup_student/clearance_slip.pt	(revision 3727)
@@ -1,5 +1,6 @@
 <metal:body use-macro="here/slip_template/macros/master">
     <metal:main fill-slot="main"
-                 tal:define="info context/getClearanceInfo">
+                 tal:define="info context/getClearanceInfo;
+                             titles here/getStudentObjectTitles;">
       <span tal:condition="not: info">
         <span tal:content="here/illegal_view" />
@@ -9,5 +10,5 @@
       <strong>Late Clearance!</strong></div>
             
-        <h3>Clearance/Eligibility Slip</h3>
+        <h3><span tal:content="titles/StudentClearance" /> Slip</h3>
         <br />
         <span tal:omit-tag=""
Index: WAeUP_SRP/trunk/skins/waeup_student/clearance_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/clearance_view.pt	(revision 3718)
+++ WAeUP_SRP/trunk/skins/waeup_student/clearance_view.pt	(revision 3727)
@@ -1,5 +1,6 @@
 <metal:body use-macro="here/main_template/macros/master">
   <metal:main fill-slot="main"
-              tal:define="info context/getClearanceInfo">
+              tal:define="info context/getClearanceInfo;
+                          titles here/getStudentObjectTitles;">
     <span tal:condition="not: info">
       <span tal:content="here/illegal_view" />
@@ -12,5 +13,5 @@
            onclick="javascript:window.open('','slip','width=600, height=700, directories=no, toolbar=no, location=no, menubar=yes, scrollbars=yes, status=no, resizable=no, dependent=no')">
           <img tal:attributes="src string:${here/portal_url}/actionicon_print.png" />
-          Clearance/Eligibility Slip
+          <span tal:content="titles/StudentClearance" /> Slip
         </a>
       </div>
@@ -29,5 +30,5 @@
           My
         </span>
-        Clearance/Elegibility Record
+        <span tal:content="titles/StudentClearance" />
       </h3>        
       
Index: WAeUP_SRP/trunk/skins/waeup_student/lecturer_course_edit_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/lecturer_course_edit_form.pt	(revision 3718)
+++ WAeUP_SRP/trunk/skins/waeup_student/lecturer_course_edit_form.pt	(revision 3727)
@@ -21,4 +21,9 @@
                  value="Save" 
                  id="edit"/>
+          <input type="submit" name="external_close_button"
+                 class="standalone" value="Close"
+                 onclick="window.opener.location.reload();window.close()"
+                 id="external_close_button"
+                 i18n:attributes="value" />                   
         </form>
       </metal:block>
Index: WAeUP_SRP/trunk/skins/waeup_student/personal_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/personal_view.pt	(revision 3718)
+++ WAeUP_SRP/trunk/skins/waeup_student/personal_view.pt	(revision 3727)
@@ -1,5 +1,6 @@
 <metal:body use-macro="here/main_template/macros/master">
     <metal:main fill-slot="main"
-                tal:define="info context/getPersonalInfo">
+                tal:define="info context/getPersonalInfo;
+                            titles here/getStudentObjectTitles;">
       <span tal:condition="not: info">
         <span tal:content="here/illegal_view" />
@@ -11,5 +12,5 @@
           Up one level
         </a>            
-        <h3>My Personal Record</h3>
+        <h3>My <span tal:content="titles/StudentPersonal" /></h3>
         <br />
         <span tal:omit-tag=""
Index: WAeUP_SRP/trunk/skins/waeup_student/study_course_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/study_course_view.pt	(revision 3718)
+++ WAeUP_SRP/trunk/skins/waeup_student/study_course_view.pt	(revision 3727)
@@ -7,5 +7,6 @@
     <span tal:condition="info">
     <span tal:define="create_level info/create_level|nothing;
-                      is_so info/is_so;">               
+                      is_so info/is_so;
+                      titles here/getStudentObjectTitles;">               
     <a href=""
        tal:attributes="href string:${here/academicsParent}">
@@ -17,5 +18,5 @@
          <span tal:content="info/student/name" />:
        </span>
-        Study Course
+       My <span tal:content="titles/StudentStudyCourse" />
     </h3>
     <br />  